# vim: syntax=spec

Name:       rpm-git-tag-sort
Version:    1.0.git.5.0b8afd62
Release:    2%{?dist}
Summary:    Sorts merged git annotated tags according to topology and rpm version sorting.
License:    GPLv2+
URL:        https://pagure.io/rpm-git-tag-sort

%if 0%{?fedora} || 0%{?rhel} > 6
VCS: git+https://pagure.io/rpm-git-tag-sort.git#0b8afd628229a41858f24692946e3b905d6e46c6:
%endif

# Sources is created by:
# git clone https://pagure.io/rpm-git-tag-sort.git
# cd rpm-git-tag-sort
# git checkout rpm-git-tag-sort-1.0.git.5.0b8afd62-1
# ./rpkg spec --sources
Source0:    rpm-git-tag-sort-0b8afd62.tar.gz
Source1:    rpm-git-tag-sort-c-vector-0b8afd62.tar.gz

BuildRequires: make
BuildRequires: gcc
BuildRequires: rpm-devel
BuildRequires: libgit2-devel

# dynamically generated by rpm:
# Requires: libgit2
# Requires: rpm-libs

%description
Sorts git annotated tags of Name-Version-Release form
according to topology (primary criterion) and rpm
version sorting (secondary criterion). Outputs only
merged tags (i.e. those that reachable from the
current HEAD).

%prep
%setup -T -b 0 -b 1 -q -n rpm-git-tag-sort
# move c-vector sources to the correct place
mv ../rpm-git-tag-sort-c-vector/* c-vector/

%build
%if 0%{?rhel} && 0%{?rhel} < 7
    sed -i 's/git_libgit2_init();/git_threads_init();/' main.c
%endif
%set_build_flags
%make_build
./test

%install
%make_install

%files
%{!?_licensedir:%global license %doc}
%license LICENSE
/usr/bin/rpm-git-tag-sort

%changelog
* Wed Aug 16 2023 Pete Walter <pwalter@fedoraproject.org> - 1.0.git.5.0b8afd62-2
- Rebuild for libgit2 1.7.x

* Tue Aug 01 2023 Pavel Raiskup <praiskup@redhat.com> - 1.0.git.5.0b8afd62-1
- upgrade to the latest version from upstream main branch (rhbz#2210121)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri May 19 2023 Petr Pisar <ppisar@redhat.com> - 1.0-12
- Rebuild against rpm-4.19 (https://fedoraproject.org/wiki/Changes/RPM-4.19)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 17 2022 Florian Weimer <fweimer@redhat.com> - 1.0-10
- Fix C99 compatibility issue

* Fri Dec 09 2022 Pete Walter <pwalter@fedoraproject.org> - 1.0-9
- Rebuild for libgit2 1.4

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 20 2022 Igor Raits <igor.raits@gmail.com> - 1.0-7
- Rebuild for libgit2 1.4.x

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 28 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0-5
- Rebuild for libgit2 1.3.x

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 19:00:32 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0-2
- Rebuild for libgit2 1.1.x

* Mon Sep 14 2020 clime <clime@fedoraproject.org> 1.0-1
- switch order of input arguments (target_repo first, package name second)
- Update README.md
- use "source_indices" param in spec instead of "sources" due to change in rpkg-
util
- fix tag ids output to contain 40 chars instead of 39
- fix package description and improve comment formatting
- update README.md
- add README.md with description and example usage
- add dot at the end of summary in spec
- requires on dynamic libs are automatically generated by rpm

* Mon Jul 20 2020 clime <clime@fedoraproject.org> 0.1-1
- initial version
